%define gimpsubver 2.0

Summary: Help files for GIMP
Name: gimp-help
Version: 2.4.2
Release: 5.1%{?dist}
License: GFDL
Group: Documentation
URL: http://wiki.gimp.org/gimp/GimpDocs
Source: ftp://ftp.gimp.org/pub/gimp/help/gimp-help-%{version}.tar.bz2
BuildArch: noarch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-%(%__id_u -n)-root
BuildRequires: docbook-style-xsl
BuildRequires: gnome-doc-utils
BuildRequires: libxml2
BuildRequires: libxslt
BuildRequires: pkgconfig >= 0.9.0
BuildRequires: gimp-devel >= 2:2.4
BuildRequires: gettext
Requires: gimp >= 2:2.4

%description
This package contains a user manual written for the GNU Image Manipulation
Program.

%prep
%setup -q

%build
%configure
make %{?_smp_mflags}

%install
rm -rf %buildroot
make DESTDIR=%{buildroot} install

rm -f files.list
cat << EOF > files.list
%%defattr (-, root, root, -)
%%dir %%{_datadir}/gimp/%%{gimpsubver}/help
%%{_datadir}/gimp/%%{gimpsubver}/help/images
EOF
f="$PWD/files.list"

pushd %{buildroot}%{_datadir}/gimp/%{gimpsubver}/help
for dir in *; do
    case "$dir" in
    images)
        ;;
    *)
        echo "%%lang($dir) %%{_datadir}/gimp/%%{gimpsubver}/help/$dir" >> "$f"
        ;;
    esac
done
popd

%clean
rm -rf %buildroot

%files -f files.list
%defattr (-, root, root, -)
%doc AUTHORS ChangeLog COPYING NEWS README TERMINOLOGY


%changelog

